Overview | Modules | Class Hierarchy | Classes | Members
# tlp::LayerManagerWidget Class Reference `#include <LayerManagerWidget.h>` Collaboration diagram for tlp::LayerManagerWidget: [legend] List of all members. ## Public Slots void apply () ## Public Member Functions LayerManagerWidget (QWidget *parent=0) void setGlMainView (GlMainView *view) void attachMainWidget (GlMainWidget *graphWidget) void addLayer (tlp::GlScene *, const std::string &, tlp::GlLayer *) void addComposite (tlp::GlComposite *composite, QTreeWidgetItem *parent) void createGraphCompositeItem (tlp::GlGraphComposite *glGraphComposite, QTreeWidgetItem *item) void updateLayer (const std::string &name, tlp::GlLayer *layer) void delLayer (tlp::GlScene *, const std::string &, tlp::GlLayer *) ## Protected Slots void itemClicked (QTreeWidgetItem *, int) void applyVisibility () void applyVisibility (QTreeWidgetItem *item, GlComposite *composite) ## Constructor & Destructor Documentation
tlp::LayerManagerWidget::LayerManagerWidget | ( | QWidget * | parent = `0` | ) |
## Member Function Documentation
void tlp::LayerManagerWidget::addComposite | ( | tlp::GlComposite * | composite,
|  | QTreeWidgetItem * | parent
| ) |
void tlp::LayerManagerWidget::addLayer | ( | tlp::GlScene * | ,
|  | const std::string & | ,
|  | tlp::GlLayer * |
| ) |
void tlp::LayerManagerWidget::apply | ( |  | ) | `[slot]`
void tlp::LayerManagerWidget::applyVisibility | ( | QTreeWidgetItem * | item,
|  | GlComposite * | composite
| ) | `[protected, slot]`
void tlp::LayerManagerWidget::applyVisibility | ( |  | ) | `[protected, slot]`
void tlp::LayerManagerWidget::attachMainWidget | ( | GlMainWidget * | graphWidget | ) |
void tlp::LayerManagerWidget::createGraphCompositeItem | ( | tlp::GlGraphComposite * | glGraphComposite,
|  | QTreeWidgetItem * | item
| ) |
void tlp::LayerManagerWidget::delLayer | ( | tlp::GlScene * | ,
|  | const std::string & | ,
|  | tlp::GlLayer * |
| ) |
void tlp::LayerManagerWidget::itemClicked | ( | QTreeWidgetItem * | ,
|  | int |
| ) | `[protected, slot]`
void tlp::LayerManagerWidget::setGlMainView | ( | GlMainView * | view | ) |
void tlp::LayerManagerWidget::updateLayer | ( | const std::string & | name,
|  | tlp::GlLayer * | layer
| ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010